Java2GroovyProcessor (Groovy 2.4.16)
Date: 2018-12-09

org.codehaus.groovy.antlr.java

## Class Java2GroovyProcessor

- java.lang.Object
- - org.codehaus.groovy.antlr.java.Java2GroovyProcessor

-     public class Java2GroovyProcessor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2GroovyProcessor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convert(java.lang.String filename, java.lang.String input)`
    `static java.lang.String` | `convert(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines)`
    `static java.lang.String` | `mindmap(java.lang.String input)`
    `static java.lang.String` | `nodePrinter(java.lang.String input)`
    `static void` | `processFiles(java.util.List<java.lang.String> fileNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2GroovyProcessor

          public Java2GroovyProcessor()

  - ### Method Detail

    - #### processFiles

          public static void processFiles(java.util.List<java.lang.String> fileNames)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### convert

          public static java.lang.String convert(java.lang.String filename,
                                                 java.lang.String input)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### convert

          public static java.lang.String convert(java.lang.String filename,
                                                 java.lang.String input,
                                                 boolean withHeader,
                                                 boolean withNewLines)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### mindmap

          public static java.lang.String mindmap(java.lang.String input)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### nodePrinter

          public static java.lang.String nodePrinter(java.lang.String input)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`